/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.kintai.workflow.dto;

import jp.mosp.common.common.BaseDto;

/**
 * AM_ROUTE(承認ルートマスタ)のDTOクラス。
 */
public class AmRouteDto extends BaseDto {
	
	private static final long	serialVersionUID	= -1712432649886626218L;
	
	// フィールド
	private String				rtcode				= "";						//ルートコード
	private String				layer1				= "";						//１次承認
	private String				layer2				= "";						//２次承認
	private String				layer3				= "";						//３次承認
	private String				layer4				= "";						//４次承認
	private String				layer5				= "";						//５次承認
	private String				lastlayer			= "";						//最終承認
	private int					deleteflag			= 0;						//削除フラグ
																				
	
	/**
	 * コンストラクタ
	 */
	public AmRouteDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return rtcode 	ルートコード。
	 */
	public String getRtCode() {
		return rtcode;
	}
	
	/**
	 * @return layer1 	１次承認。
	 */
	public String getLayer1() {
		return layer1;
	}
	
	/**
	 * @return layer2 	２次承認。
	 */
	public String getLayer2() {
		return layer2;
	}
	
	/**
	 * @return layer3 	３次承認。
	 */
	public String getLayer3() {
		return layer3;
	}
	
	/**
	 * @return layer4 	４次承認。
	 */
	public String getLayer4() {
		return layer4;
	}
	
	/**
	 * @return layer5 	５次承認。
	 */
	public String getLayer5() {
		return layer5;
	}
	
	/**
	 * @return lastlayer 	最終承認。
	 */
	public String getLastLayer() {
		return lastlayer;
	}
	
	/**
	 * @return deleteflag 	削除フラグ。
	 */
	public int getDeleteFlag() {
		return deleteflag;
	}
	
	/**
	 * @param rtcode 	セットするルートコード。
	 */
	public void setRtCode(String rtcode) {
		this.rtcode = rtcode;
	}
	
	/**
	 * @param layer1 	セットする１次承認。
	 */
	public void setLayer1(String layer1) {
		this.layer1 = layer1;
	}
	
	/**
	 * @param layer2 	セットする２次承認。
	 */
	public void setLayer2(String layer2) {
		this.layer2 = layer2;
	}
	
	/**
	 * @param layer3 	セットする３次承認。
	 */
	public void setLayer3(String layer3) {
		this.layer3 = layer3;
	}
	
	/**
	 * @param layer4 	セットする４次承認。
	 */
	public void setLayer4(String layer4) {
		this.layer4 = layer4;
	}
	
	/**
	 * @param layer5 	セットする５次承認。
	 */
	public void setLayer5(String layer5) {
		this.layer5 = layer5;
	}
	
	/**
	 * @param lastlayer 	セットする最終承認。
	 */
	public void setLastLayer(String lastlayer) {
		this.lastlayer = lastlayer;
	}
	
	/**
	 * @param deleteflag 	セットする削除フラグ。
	 */
	public void setDeleteFlag(int deleteflag) {
		this.deleteflag = deleteflag;
	}
	
}
